Subject: Re: bug#71137: 29.3; Calc function calc-user-define-permanent broken

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 May 2024 10:08:06 +0300

> From: Charles Choi <[email-masked]>
> Date: Wed, 22 May 2024 12:18:36 -0700
> 
> * Title
> Calc function calc-user-define-permanent broken in 29.3
> 
> * Description
> In Calc, invoking calc-user-define-permanent (binding "Z-P") does not persist a user-defined formula.
> 
> * Environment
> Emacs: 29.3
> OS: macOS 14.5, Ubuntu 22.04.4 LTS
> 
> * Steps to Reproduce
> 1. Enter "emacs -Q" on the command line.
> 2. Enter "M-x calc" to start Calc.
> 3. Enter the algebraic expression "'3 x + 7".
> 4. Enter "Z-F" to user-define a formula.
>    1. Enter "1" for the user key.
>    2. Enter "f1" for the command name.
>    3. Enter RET to default use the command name ("f1").
>    4. Enter RET to accept the default argument list ("(x)").
>    5. Enter "y" to leave it symbolic for non-constant arguments.
> 5. Enter "Z-P" to make permanent (persist) the user-defined formula.
> 
> * Expected Result
> The calc.el file in the Emacs init configuration directory should be modified holding the persisted user-defined formula "f1".

This is not what I see in Emacs 29.  After Z-P, Emacs asks in the
echo-area:

  Record in ~/.emacs.c/calc.el the command z-

and if I type "1", as in step 4.1 above, Emacs says "Wrote
~/.emacs.d/calc.el", and I see the formula f1 defined there.

So I wonder why this doesn't happen for you.